=== added directory 'identity'
=== added directory 'identity/stub'
=== added file 'identity/stub/service.go'
--- identity/stub/service.go	1970-01-01 00:00:00 +0000
+++ identity/stub/service.go	2012-10-31 16:09:34 +0000
@@ -0,0 +1,1 @@
+package identitystub

=== added file 'identity/stub/service_test.go'
--- identity/stub/service_test.go	1970-01-01 00:00:00 +0000
+++ identity/stub/service_test.go	2012-10-31 16:09:34 +0000
@@ -0,0 +1,1 @@
+package identitystub

=== added file 'identity/stub/setup_test.go'
--- identity/stub/setup_test.go	1970-01-01 00:00:00 +0000
+++ identity/stub/setup_test.go	2012-10-31 16:09:34 +0000
@@ -0,0 +1,51 @@
+package identitystub
+
+import (
+	. "launchpad.net/gocheck"
+	"net/http"
+	"net/http/httptest"
+	"io/ioutil"
+	"fmt"
+	"testing"
+)
+
+func Test(t *testing.T) {
+	TestingT(t)
+}
+
+var _ = Suite(&HTTPSuite{})
+
+type HTTPSuite struct {
+	server *httptest.Server
+}
+
+type HelloHandler struct {}
+
+func (h *HelloHandler) ServeHTTP(w http.ResponseWriter, r *http.Request) {
+	w.Header().Set("Content-Type", "text/plain")
+	w.WriteHeader(200)
+	w.Write([]byte("Hello World\n"))
+}
+
+func (s *HTTPSuite) SetUpSuite(c *C) {
+	h := HelloHandler{}
+	fmt.Printf("Starting New Server")
+	s.server = httptest.NewServer(&h)
+}
+
+func (s *HTTPSuite) TearDownSuite(c *C) {
+	if s.server != nil {
+		fmt.Printf("Stopping Server")
+		s.server.Close()
+	}
+}
+
+func (s *HTTPSuite) TestHelloWorld(c *C) {
+	fmt.Printf("Running HelloWorld")
+	response, err := http.Get(s.server.URL)
+	c.Check(err, IsNil)
+	content, err := ioutil.ReadAll(response.Body)
+	response.Body.Close()
+	c.Check(err, IsNil)
+	c.Check(string(content), Equals, "Hello World\n")
+}

